## fair loss-0.4

=== requirements.txt ===
# SPDX-License-Identifier: GPL-3.0-only
# SPDX-FileCopyrightText: 2020 Vincent Lequertier <vi.le@autistici.org>

torch==1.*

## fair 0.5.3

=== debian/changelog ===
fair (0.5.3-4) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * Move aliased files from / to /usr (DEP17) (Closes: #1084838)

  [ Michael Biebl ]
  * Deprecate usage of /etc/default/fair for enabling
    fair-carrousel.service and fair-transponder.service.
    Closes: #1084842

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Oct 2024 17:39:40 +0200

fair (0.5.3-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain in Package Salvage team
  * Add Homepage
  * Standards-Version: 4.7.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Add watch file
  * Enable hardening options
  * d/copyright: DEP5

  [ наб ]
  * Convert fair.init to fair-carrousel.service & fair-transponder.service
    Closes: #1039195
  * dh 13
  * Import ax_define_dir.m4 (needed for autoreconf)
  * lintian priority-extra-is-replaced-by-priority-optional

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 05 Oct 2024 22:14:34 +0200

fair (0.5.3-2) unstable; urgency=medium

  * Convert debian/rules to dh.
  * Bump Standards-Version and debian/compat.
    - This also enables hardening flags. Closes: #725360
  * Source /lib/lsb/init-functions in the init script.

 -- Guus Sliepen <guus@debian.org>  Tue, 21 Jun 2016 12:55:06 +0200

fair (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - Fixes handling of half-open connections. Closes: #649752
  * Convert source package to 3.0 (quilt) format.
  * Bump Standards-Version.
  * Add build-arch and build-indep targets to debian/rules.
  * Depend on $remote_fs in the Required-Start/Stop rules in the init script.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Dec 2011 13:43:29 +0100

fair (0.5.1-3) unstable; urgency=low

  * Fix init script to use the correct location of the fair binaries. Closes: #508440
  * Make fair search for configuration in /etc instead of /usr/etc.

 -- Guus Sliepen <guus@debian.org>  Thu, 11 Dec 2008 13:23:16 +0100

fair (0.5.1-2) unstable; urgency=low

  * Build-depend on libavl-dev >= 0.3.5-3 to prevent possible FTBFS.
    Closes: #484047

 -- Guus Sliepen <guus@debian.org>  Tue, 29 Jul 2008 13:52:25 +0200

fair (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #456312)
  * Make sure the binaries are installed in /usr/sbin/.
  * Add LSB section to the init script.
  * Note that parts of fair are covered by different copyright conditions.
  * Build-Depend on libavl-dev.

 -- Guus Sliepen <guus@debian.org>  Tue, 08 Jan 2008 13:33:54 +0100

=== debian/control ===
Source: fair
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Guus Sliepen <guus@debian.org>,
           Joost van Baal <joostvb@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libavl-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/fair
Vcs-Git: https://salsa.debian.org/salvage-team/fair.git
Homepage: http://www.non-gnu.uvt.nl/fair/
Rules-Requires-Root: no

Package: fair
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: high availability load balancer for TCP connections
 Fair is a system for implementing load balancers; it consists of two daemons:
 carrousel and transponder. Carrousel, which performs load balancing services,
 typically runs on a load balancer; transponder runs on the servers.
 .
 Fair understands network topologies where one node is reachable via more than
 one IP address; this allows not only the servers, but the network to be
 redundant as well. This distinguishes fair from other load balancers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --name fair-carrousel --no-enable
	dh_installsystemd --name fair-transponder --no-enable

override_dh_auto_install:
	dh_auto_install
	rm -f debian/fair/usr/share/doc/fair/ChangeLog
	rm -f debian/fair/usr/share/doc/fair/COPYING
	rm -f debian/fair/usr/share/doc/fair/LICENSE

=== debian/watch ===
version=4

http://www.non-gnu.uvt.nl/fair/download fair-(\d[\d.]+).tar.gz

## fair test-0.0.8

=== docs/requirements.txt ===
jinja2==3.0.3
mkdocstrings[python]>=0.18.1
mkdocs-material>=8.2.7

=== example/requirements.txt ===
fair-test@git+https://github.com/MaastrichtU-IDS/fair-test@main
